#include <bits/stdc++.h>
#include "partition.h"

using namespace std;

vector<int> solve(vector<int> A)
{
    vector<int> ans;
    int i,cnt;
    if(A.size()%2==0)
        cnt=A.size()/2;
    else
        cnt=(A.size()-1)/2;
    for(i=0;i<cnt;i++)
        ans.push_back(i);
    ans.push_back(A.size()-1);
    for(i=cnt;i<A.size()-1;i++)
        ans.push_back(i);

    /*int s=0;
    cerr<<"VERIF: ";
    for(i=0;i<ans.size();i++)
    {
        s+=A[ans[i]];
        cerr<<s<<" ";
    }
    cerr<<endl;*/
    return ans;
}
/*
2
9
1 2 4 8 16 32 64 128 256
3
1 2 4
*/
